# Interface MSInterface

All Known Implementing Classes:
  `MSCifParser, MSRdr`

public interface MSInterface
Modulated Structure Reader Interface

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addLatticeVector(Lst<float[]> lattvecs, String substring)`
`void`
`addModulation(Map<String,double[]> map, String id, double[] pt, int iModel)`
`void`
`addSubsystem(String code, Matrix w)`
`void`
`finalizeModulation()`
`XtalSymmetry.FileSymmetry`
`getAtomSymmetry(Atom a, XtalSymmetry.FileSymmetry symmetry)`
`double[]`
`getMod(String key)`
`char`
`getModType(String key)`
`Map<String,double[]>`
`getModulationMap()`
`double[]`
`getQCoefs(String key)`
`XtalSymmetry.FileSymmetry`
`getSymmetryFromCode(String spaceGroupOperationCode)`
`int`
`initialize(AtomSetCollectionReader r, int modDim)`
`void`
`setMinMax0(P3 minXYZ0, P3 maxXYZ0)`
`void`
`setModulation(boolean isPost, XtalSymmetry.FileSymmetry symmetry)`

## Method Details

### addModulation

void addModulation(Map<String,double[]> map, String id, double[] pt, int iModel)

### addSubsystem

void addSubsystem(String code, Matrix w)

### finalizeModulation

void finalizeModulation()

### getMod

double[] getMod(String key)

### initialize

int initialize(AtomSetCollectionReader r, int modDim) throws Exception

Throws:
  `Exception`

### setModulation

void setModulation(boolean isPost, XtalSymmetry.FileSymmetry symmetry) throws Exception

Throws:
  `Exception`

### getAtomSymmetry

XtalSymmetry.FileSymmetry getAtomSymmetry(Atom a, XtalSymmetry.FileSymmetry symmetry)

### setMinMax0

void setMinMax0(P3 minXYZ0, P3 maxXYZ0)

### getSymmetryFromCode

XtalSymmetry.FileSymmetry getSymmetryFromCode(String spaceGroupOperationCode)

### addLatticeVector

boolean addLatticeVector(Lst<float[]> lattvecs, String substring) throws Exception

Throws:
  `Exception`

### getModulationMap

Map<String,double[]> getModulationMap()

### getModType

char getModType(String key)

### getQCoefs

double[] getQCoefs(String key)